Ejemplo n.º 1
0
        /// <summary>
        /// Implements the interface method.
        /// </summary>
        public Autodesk.Revit.DB.CurveLoop GetLandingBoundary()
        {
            // TODO : What if not collinear
            Line boundaryLine = LandingComponentUtils.FindLongestEndpointConnection(m_stairsRunBoundary1, m_stairsRunBoundary2);

            // offset by 1/2 of width
            Curve centerCurve = boundaryLine.CreateTransformed(Transform.CreateTranslation(m_runDirection * (m_width / 2.0)));

            // Create by Thicken
            CurveLoop curveLoop = CurveLoop.CreateViaThicken(centerCurve, m_width, XYZ.BasisZ);

            return(curveLoop);
        }